<template>
  <img
    v-if="!isSent"
    class="avatar-md"
    :src="picture"
    data-toggle="tooltip"
    data-placement="top"
    @error="imgErrorHandler"
  >
</template>

<script>
export default {
  props: {
    message: {
      type: Object,
      default: null
    },
    isSent: false
  },
  computed: {
    picture() {
      if (this.message.messageable_type == "bot") {
        return this.asset("/images/icons/ic_botstudio.png");
      } else {
        return (
          this.message.messageable.picture ||
          this.asset("images/pictures/no_avatar.jpg")
        );
      }
    }
  }
};
</script>
